Debian Bug report logs - #500672
persistent root fs hangs continous booting after 2 times

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Christoph Fink <buffoon86@gmail.com>

Date: Tue, 30 Sep 2008 10:24:01 UTC

Severity: normal

Fixed in version live-initramfs/1.139.1-4

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, buffoon86@gmail.com, Debian Live <debian-live@lists.debian.org>:
Bug#500672; Package live-helper. (Tue, 30 Sep 2008 10:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Fink <buffoon86@gmail.com>:
New Bug report received and forwarded. Copy sent to buffoon86@gmail.com, Debian Live <debian-live@lists.debian.org>. (Tue, 30 Sep 2008 10:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Fink <buffoon86@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: Booting with persistent root fs hangs in initrd but continous booting after exiting 2 times from busybox
Date: Tue, 30 Sep 2008 11:23:06 +0200
[Message part 1 (text/plain, inline)]
Package: live-helper
Version: 1.0.0-2
Severity: normal


After building a image with live-helper I made it persistent root fs on 
a USB 
stick like it is described in the wiki:
http://wiki.debian.org/DebianLive/Howto/Custom_Install

When booting it, it gives me the following error message in busybox from 
initrd:

Remounting on /dev/sda2 ro on /cow failed

and in the live.log it says:

mount: mounting /dev/sda2 on /cow failed: Device or Resource busy

After exiting 2 times from that busybox it boots successfully and the 
persistent root fs works fine.

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.10     Bootstrap a basic Debian system
ii  gettext-base                  0.17-3     GNU Internationalization utilities

live-helper recommends no packages.

Versions of packages live-helper suggests:
ii  dosfstools                 2.11-6        utilities for making and checking 
ii  fakeroot                   1.9.5         Gives a fake root environment
ii  genisoimage                9:1.1.8-1+b1  Creates ISO-9660 CD-ROM filesystem
ii  grub                       0.97-47       GRand Unified Bootloader (Legacy v
pn  memtest86+ | memtest86     <none>        (no description available)
ii  mtools                     3.9.11-1      Tools for manipulating MSDOS files
pn  parted                     <none>        (no description available)
pn  squashfs-tools | genext2fs <none>        (no description available)
ii  sudo                       1.6.9p17-1    Provide limited super user privile
ii  syslinux                   2:3.71+dfsg-3 Kernel loader which uses a FAT, ex
ii  uuid-runtime               1.41.0-3      universally unique id library
pn  win32-loader               <none>        (no description available)

-- no debconf information
[live.log2 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#500672; Package live-helper. (Tue, 30 Sep 2008 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 30 Sep 2008 10:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 500672@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 500672@bugs.debian.org
Subject: Re: live-helper: Booting with persistent root fs hangs in initrd but continous booting after exiting 2 times from busybox
Date: Tue, 30 Sep 2008 12:27:03 +0200
retitle 500672 persistent root fs hangs continous booting after 2 times
reassign 500672 live-initramfs
thanks

Hi,

build-time errors are the domain of live-helper,
run-time erorrs are live-initramfs, thus reassigning.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to `persistent root fs hangs continous booting after 2 times' from `live-helper: Booting with persistent root fs hangs in initrd but continous booting after exiting 2 times from busybox'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 30 Sep 2008 10:30:05 GMT) Full text and rfc822 format available.

Bug reassigned from package `live-helper' to `live-initramfs'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 30 Sep 2008 10:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#500672; Package live-initramfs. (Tue, 30 Sep 2008 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 30 Sep 2008 15:45:03 GMT) Full text and rfc822 format available.

Message #19 received at 500672@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: 500672@bugs.debian.org
Subject: fixed in git
Date: Tue, 30 Sep 2008 17:41:59 +0200
This should be fixed in my git repository:

http://git.debian.org/?p=users/mammadori-guest/live-initramfs.git;a=commit;h=b34f6425c48d460bd0d93efd76884045b015692c
-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 11 Nov 2008 13:33:18 GMT) Full text and rfc822 format available.

Notification sent to Christoph Fink <buffoon86@gmail.com>:
Bug acknowledged by developer. (Tue, 11 Nov 2008 13:33:19 GMT) Full text and rfc822 format available.

Message #24 received at 500672-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 500672-close@bugs.debian.org
Subject: Bug#500672: fixed in live-initramfs 1.139.1-4
Date: Tue, 11 Nov 2008 13:02:06 +0000
Source: live-initramfs
Source-Version: 1.139.1-4

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.139.1-4.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.139.1-4.diff.gz
live-initramfs_1.139.1-4.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.139.1-4.dsc
live-initramfs_1.139.1-4_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.139.1-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 500672@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 11 Nov 2008 13:00:00 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.139.1-4
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 486469 500672
Changes: 
 live-initramfs (1.139.1-4) unstable; urgency=medium
 .
   [ Chris Lamb ]
   * Remove (accidental?) debian/changelog entry.
   * Use "grep -qs" over "grep -q" for compatibility (see grep(1))
   * Use "test -s" instead of testing file availability and size.
   * Be consistent in using 0/1 for True/False values instead of English
     representations.
   * Reflow some grammar in comments and in live-initramfs(7).
   * Reflow long 'tr'-based pipelines for readability.
   * Don't "cat |" to grep.
 .
   [ Daniel Baumann ]
   * Replacing obsolete dh_clean -k with dh_prep.
 .
   [ Marco Amadori ]
   * Changed HOSTNAME and /etc/hosts handling.
   * Conditional creation of /etc/fstab.
   * live-snapshot: fixed include-list handling.
   * Reordered persistence lookups and boundaries (Closes: #500672).
   * Search for partition labels only (Closes: #486469).
   * Implemented a snapshot exclude list.
   * Implemented a persistence exclude list.
   * Manpage clarifications on "nofiles".
   * Do not pollute the logs when looking for swap partitions.
   * Removed all "cat | grep", with grep, awk and sed.
Checksums-Sha1: 
 a6c530d69d629b8dc4a901eea21831f614cbac08 1301 live-initramfs_1.139.1-4.dsc
 6f01418f0f91ff5907c0ac3e77d4f8b8b6446a22 20563 live-initramfs_1.139.1-4.diff.gz
 c0f63e386d112553f6138b85df8270b08f0e0543 84544 live-initramfs_1.139.1-4_all.deb
Checksums-Sha256: 
 2cbdf7dfbae1f1bb04023fbb209e77cb74496cd2d341011e62976afc33f5229e 1301 live-initramfs_1.139.1-4.dsc
 e15dfab151139dc174f44931a544427181c3e10c9298006ac6ffece03c122380 20563 live-initramfs_1.139.1-4.diff.gz
 db52e1acf5c19b0ec5fddbb23ae5bac85c3174e8136f926b21deccd63eb7b072 84544 live-initramfs_1.139.1-4_all.deb
Files: 
 cf4ce1b0fd1cc018c5ed75ce626051a2 1301 misc optional live-initramfs_1.139.1-4.dsc
 2b1344983e1c3e496c629fe2cb2625ef 20563 misc optional live-initramfs_1.139.1-4.diff.gz
 407915a890f3179b1c9f243e300a2a2c 84544 misc optional live-initramfs_1.139.1-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkZgH0ACgkQ+C5cwEsrK57+JQCgiDXay4kN+enpTQ0XHA0rAOvu
eMAAoLVDfrLN3XQDeJPcO5zJVVvDKqn+
=GEh4
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#500672; Package live-initramfs. (Tue, 11 Nov 2008 16:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Fuerstberger <kfuerstberger@arcor.de>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 11 Nov 2008 16:42:02 GMT) Full text and rfc822 format available.

Message #29 received at 500672@bugs.debian.org (full text, mbox):

From: Klaus Fuerstberger <kfuerstberger@arcor.de>
To: 500672@bugs.debian.org
Subject: Re: fixed in git
Date: Tue, 11 Nov 2008 17:40:18 +0100
I can confirm that this is fixed with the files from Marco Amadoris 
repository.

Please implement the changes.

Thanks,
Klaus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#500672; Package live-initramfs. (Tue, 11 Nov 2008 17:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 11 Nov 2008 17:12:06 GMT) Full text and rfc822 format available.

Message #34 received at 500672@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Klaus Fuerstberger <kfuerstberger@arcor.de>, 500672@bugs.debian.org
Subject: Re: Bug#500672: fixed in git
Date: Tue, 11 Nov 2008 18:10:37 +0100
Klaus Fuerstberger wrote:
> Please implement the changes.

as the message that closed the bug says - this was included in 1.139.1-4.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#500672; Package live-initramfs. (Tue, 11 Nov 2008 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Fuerstberger <kfuerstberger@arcor.de>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 11 Nov 2008 18:06:04 GMT) Full text and rfc822 format available.

Message #39 received at 500672@bugs.debian.org (full text, mbox):

From: Klaus Fuerstberger <kfuerstberger@arcor.de>
To: 500672@bugs.debian.org
Subject: Re: Bug#500672: fixed in git
Date: Tue, 11 Nov 2008 19:05:07 +0100
Daniel Baumann said the following on 11.11.2008 18:10:
> as the message that closed the bug says - this was included in 1.139.1-4.

ahh, I should have read the bugreport to the end...

Sorry for the noise!

Bye,
Klaus





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#500672; Package live-initramfs. (Tue, 11 Nov 2008 22:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 11 Nov 2008 22:36:12 GMT) Full text and rfc822 format available.

Message #44 received at 500672@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Klaus Fuerstberger <kfuerstberger@arcor.de>, 500672@bugs.debian.org
Subject: Re: Bug#500672: fixed in git
Date: Tue, 11 Nov 2008 23:32:51 +0100
Klaus Fuerstberger wrote:
> Sorry for the noise!

no need to be sorry - nobody got harmed ;)

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Dec 2008 07:30:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:06:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.